Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.167.72.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
190.167.72.0
Broadcast address
190.167.75.255
First usable
190.167.72.1
Last usable
190.167.75.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
B (default /16)
As numbers
Hex BEA74800 · Integer 3198633984 to 3198635007
Reverse DNS zones
72.167.190.in-addr.arpa
73.167.190.in-addr.arpa
74.167.190.in-addr.arpa
75.167.190.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.10100111.01001000.00000000190.167.72.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network10111110.10100111.01001000.00000000190.167.72.0
Broadcast10111110.10100111.01001011.11111111190.167.75.255
Split into smaller subnets/29

190.167.72.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.167.72.0/29190.167.72.1 to 190.167.72.6190.167.72.76
2190.167.72.8/29190.167.72.9 to 190.167.72.14190.167.72.156
3190.167.72.16/29190.167.72.17 to 190.167.72.22190.167.72.236
4190.167.72.24/29190.167.72.25 to 190.167.72.30190.167.72.316
5190.167.72.32/29190.167.72.33 to 190.167.72.38190.167.72.396
6190.167.72.40/29190.167.72.41 to 190.167.72.46190.167.72.476
7190.167.72.48/29190.167.72.49 to 190.167.72.54190.167.72.556
8190.167.72.56/29190.167.72.57 to 190.167.72.62190.167.72.636
9190.167.72.64/29190.167.72.65 to 190.167.72.70190.167.72.716
10190.167.72.72/29190.167.72.73 to 190.167.72.78190.167.72.796
11190.167.72.80/29190.167.72.81 to 190.167.72.86190.167.72.876
12190.167.72.88/29190.167.72.89 to 190.167.72.94190.167.72.956
13190.167.72.96/29190.167.72.97 to 190.167.72.102190.167.72.1036
14190.167.72.104/29190.167.72.105 to 190.167.72.110190.167.72.1116
15190.167.72.112/29190.167.72.113 to 190.167.72.118190.167.72.1196
16190.167.72.120/29190.167.72.121 to 190.167.72.126190.167.72.1276
17190.167.72.128/29190.167.72.129 to 190.167.72.134190.167.72.1356
18190.167.72.136/29190.167.72.137 to 190.167.72.142190.167.72.1436
19190.167.72.144/29190.167.72.145 to 190.167.72.150190.167.72.1516
20190.167.72.152/29190.167.72.153 to 190.167.72.158190.167.72.1596
21190.167.72.160/29190.167.72.161 to 190.167.72.166190.167.72.1676
22190.167.72.168/29190.167.72.169 to 190.167.72.174190.167.72.1756
23190.167.72.176/29190.167.72.177 to 190.167.72.182190.167.72.1836
24190.167.72.184/29190.167.72.185 to 190.167.72.190190.167.72.1916
25190.167.72.192/29190.167.72.193 to 190.167.72.198190.167.72.1996
26190.167.72.200/29190.167.72.201 to 190.167.72.206190.167.72.2076
27190.167.72.208/29190.167.72.209 to 190.167.72.214190.167.72.2156
28190.167.72.216/29190.167.72.217 to 190.167.72.222190.167.72.2236
29190.167.72.224/29190.167.72.225 to 190.167.72.230190.167.72.2316
30190.167.72.232/29190.167.72.233 to 190.167.72.238190.167.72.2396
31190.167.72.240/29190.167.72.241 to 190.167.72.246190.167.72.2476
32190.167.72.248/29190.167.72.249 to 190.167.72.254190.167.72.2556
33190.167.73.0/29190.167.73.1 to 190.167.73.6190.167.73.76
34190.167.73.8/29190.167.73.9 to 190.167.73.14190.167.73.156
35190.167.73.16/29190.167.73.17 to 190.167.73.22190.167.73.236
36190.167.73.24/29190.167.73.25 to 190.167.73.30190.167.73.316
37190.167.73.32/29190.167.73.33 to 190.167.73.38190.167.73.396
38190.167.73.40/29190.167.73.41 to 190.167.73.46190.167.73.476
39190.167.73.48/29190.167.73.49 to 190.167.73.54190.167.73.556
40190.167.73.56/29190.167.73.57 to 190.167.73.62190.167.73.636
41190.167.73.64/29190.167.73.65 to 190.167.73.70190.167.73.716
42190.167.73.72/29190.167.73.73 to 190.167.73.78190.167.73.796
43190.167.73.80/29190.167.73.81 to 190.167.73.86190.167.73.876
44190.167.73.88/29190.167.73.89 to 190.167.73.94190.167.73.956
45190.167.73.96/29190.167.73.97 to 190.167.73.102190.167.73.1036
46190.167.73.104/29190.167.73.105 to 190.167.73.110190.167.73.1116
47190.167.73.112/29190.167.73.113 to 190.167.73.118190.167.73.1196
48190.167.73.120/29190.167.73.121 to 190.167.73.126190.167.73.1276
49190.167.73.128/29190.167.73.129 to 190.167.73.134190.167.73.1356
50190.167.73.136/29190.167.73.137 to 190.167.73.142190.167.73.1436
51190.167.73.144/29190.167.73.145 to 190.167.73.150190.167.73.1516
52190.167.73.152/29190.167.73.153 to 190.167.73.158190.167.73.1596
53190.167.73.160/29190.167.73.161 to 190.167.73.166190.167.73.1676
54190.167.73.168/29190.167.73.169 to 190.167.73.174190.167.73.1756
55190.167.73.176/29190.167.73.177 to 190.167.73.182190.167.73.1836
56190.167.73.184/29190.167.73.185 to 190.167.73.190190.167.73.1916
57190.167.73.192/29190.167.73.193 to 190.167.73.198190.167.73.1996
58190.167.73.200/29190.167.73.201 to 190.167.73.206190.167.73.2076
59190.167.73.208/29190.167.73.209 to 190.167.73.214190.167.73.2156
60190.167.73.216/29190.167.73.217 to 190.167.73.222190.167.73.2236
61190.167.73.224/29190.167.73.225 to 190.167.73.230190.167.73.2316
62190.167.73.232/29190.167.73.233 to 190.167.73.238190.167.73.2396
63190.167.73.240/29190.167.73.241 to 190.167.73.246190.167.73.2476
64190.167.73.248/29190.167.73.249 to 190.167.73.254190.167.73.2556
65190.167.74.0/29190.167.74.1 to 190.167.74.6190.167.74.76
66190.167.74.8/29190.167.74.9 to 190.167.74.14190.167.74.156
67190.167.74.16/29190.167.74.17 to 190.167.74.22190.167.74.236
68190.167.74.24/29190.167.74.25 to 190.167.74.30190.167.74.316
69190.167.74.32/29190.167.74.33 to 190.167.74.38190.167.74.396
70190.167.74.40/29190.167.74.41 to 190.167.74.46190.167.74.476
71190.167.74.48/29190.167.74.49 to 190.167.74.54190.167.74.556
72190.167.74.56/29190.167.74.57 to 190.167.74.62190.167.74.636
73190.167.74.64/29190.167.74.65 to 190.167.74.70190.167.74.716
74190.167.74.72/29190.167.74.73 to 190.167.74.78190.167.74.796
75190.167.74.80/29190.167.74.81 to 190.167.74.86190.167.74.876
76190.167.74.88/29190.167.74.89 to 190.167.74.94190.167.74.956
77190.167.74.96/29190.167.74.97 to 190.167.74.102190.167.74.1036
78190.167.74.104/29190.167.74.105 to 190.167.74.110190.167.74.1116
79190.167.74.112/29190.167.74.113 to 190.167.74.118190.167.74.1196
80190.167.74.120/29190.167.74.121 to 190.167.74.126190.167.74.1276
81190.167.74.128/29190.167.74.129 to 190.167.74.134190.167.74.1356
82190.167.74.136/29190.167.74.137 to 190.167.74.142190.167.74.1436
83190.167.74.144/29190.167.74.145 to 190.167.74.150190.167.74.1516
84190.167.74.152/29190.167.74.153 to 190.167.74.158190.167.74.1596
85190.167.74.160/29190.167.74.161 to 190.167.74.166190.167.74.1676
86190.167.74.168/29190.167.74.169 to 190.167.74.174190.167.74.1756
87190.167.74.176/29190.167.74.177 to 190.167.74.182190.167.74.1836
88190.167.74.184/29190.167.74.185 to 190.167.74.190190.167.74.1916
89190.167.74.192/29190.167.74.193 to 190.167.74.198190.167.74.1996
90190.167.74.200/29190.167.74.201 to 190.167.74.206190.167.74.2076
91190.167.74.208/29190.167.74.209 to 190.167.74.214190.167.74.2156
92190.167.74.216/29190.167.74.217 to 190.167.74.222190.167.74.2236
93190.167.74.224/29190.167.74.225 to 190.167.74.230190.167.74.2316
94190.167.74.232/29190.167.74.233 to 190.167.74.238190.167.74.2396
95190.167.74.240/29190.167.74.241 to 190.167.74.246190.167.74.2476
96190.167.74.248/29190.167.74.249 to 190.167.74.254190.167.74.2556
97190.167.75.0/29190.167.75.1 to 190.167.75.6190.167.75.76
98190.167.75.8/29190.167.75.9 to 190.167.75.14190.167.75.156
99190.167.75.16/29190.167.75.17 to 190.167.75.22190.167.75.236
100190.167.75.24/29190.167.75.25 to 190.167.75.30190.167.75.316
101190.167.75.32/29190.167.75.33 to 190.167.75.38190.167.75.396
102190.167.75.40/29190.167.75.41 to 190.167.75.46190.167.75.476
103190.167.75.48/29190.167.75.49 to 190.167.75.54190.167.75.556
104190.167.75.56/29190.167.75.57 to 190.167.75.62190.167.75.636
105190.167.75.64/29190.167.75.65 to 190.167.75.70190.167.75.716
106190.167.75.72/29190.167.75.73 to 190.167.75.78190.167.75.796
107190.167.75.80/29190.167.75.81 to 190.167.75.86190.167.75.876
108190.167.75.88/29190.167.75.89 to 190.167.75.94190.167.75.956
109190.167.75.96/29190.167.75.97 to 190.167.75.102190.167.75.1036
110190.167.75.104/29190.167.75.105 to 190.167.75.110190.167.75.1116
111190.167.75.112/29190.167.75.113 to 190.167.75.118190.167.75.1196
112190.167.75.120/29190.167.75.121 to 190.167.75.126190.167.75.1276
113190.167.75.128/29190.167.75.129 to 190.167.75.134190.167.75.1356
114190.167.75.136/29190.167.75.137 to 190.167.75.142190.167.75.1436
115190.167.75.144/29190.167.75.145 to 190.167.75.150190.167.75.1516
116190.167.75.152/29190.167.75.153 to 190.167.75.158190.167.75.1596
117190.167.75.160/29190.167.75.161 to 190.167.75.166190.167.75.1676
118190.167.75.168/29190.167.75.169 to 190.167.75.174190.167.75.1756
119190.167.75.176/29190.167.75.177 to 190.167.75.182190.167.75.1836
120190.167.75.184/29190.167.75.185 to 190.167.75.190190.167.75.1916
121190.167.75.192/29190.167.75.193 to 190.167.75.198190.167.75.1996
122190.167.75.200/29190.167.75.201 to 190.167.75.206190.167.75.2076
123190.167.75.208/29190.167.75.209 to 190.167.75.214190.167.75.2156
124190.167.75.216/29190.167.75.217 to 190.167.75.222190.167.75.2236
125190.167.75.224/29190.167.75.225 to 190.167.75.230190.167.75.2316
126190.167.75.232/29190.167.75.233 to 190.167.75.238190.167.75.2396
127190.167.75.240/29190.167.75.241 to 190.167.75.246190.167.75.2476
128190.167.75.248/29190.167.75.249 to 190.167.75.254190.167.75.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses